SQLITE3_DB_MUTEX(3) | Library Functions Manual | SQLITE3_DB_MUTEX(3)

# NAME

`sqlite3_db_mutex` — retrieve the mutex for a database connection

# SYNOPSIS

`#include <sqlite3.h>`

sqlite3_mutex *
`sqlite3_db_mutex`(sqlite3*);

# DESCRIPTION

This interface returns a pointer the sqlite3_mutex object that serializes access to the database connection given in the argument when the threading mode is Serialized. If the threading mode is Single-thread or Multi-thread then this routine returns a NULL pointer.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 8209.

    SQLITE_API sqlite3_mutex *sqlite3_db_mutex(sqlite3*);

# SEE ALSO

sqlite3(3), sqlite3_mutex(3)

January 24, 2024 | NetBSD 11.0